Re: [sbt] sbt version 0.12 - Unresolved dependency?

Showing 1-2 of 2 messages
Re: [sbt] sbt version 0.12 - Unresolved dependency? Mark Harrah 10/29/12 8:28 AM
On Mon, 29 Oct 2012 07:00:29 -0700 (PDT)
Ilya Korniyko <intr...@gmail.com> wrote:

>
> Building with sbt.version 0.12.1 or 0.12.0 - Unresolved dependecy
> - org.scala-sbt#sbt_2.9.1;0.12.1: not found

This looks like the launcher for 0.11.x.  Use the launcher for 0.12:

 http://www.scala-sbt.org/release/docs/Getting-Started/Setup.html

Note that it can launch all sbt versions back to 0.7.7, so you only need this latest one.

-Mark

> It is not in my own projects, it is casbah and swagger
>
> 0.12.1 was released only this month
> http://blog.typesafe.com/sbt-has-a-brand-new-release-0121 , why is it not
> available already?
>
> Detailed log:
>
> Getting org.scala-sbt sbt_2.9.1 0.12.1 ...
>
> :: problems summary ::
> :::: WARNINGS
> module not found: org.scala-sbt#sbt_2.9.1;0.12.1
>
> ==== local: tried
>
>  C:\Users\korniiko-i\.ivy2/local/org.scala-sbt/sbt_2.9.1/0.12.1/ivys/ivy.xml
>
> ==== typesafe-ivy-releases: tried
>
>  http://repo.typesafe.com/typesafe/ivy-releases/org.scala-sbt/sbt_2.9.1/0.12.1/ivys/ivy.xml
>
> ==== Maven Central: tried
>
>  http://repo1.maven.org/maven2/org/scala-sbt/sbt_2.9.1/0.12.1/sbt_2.9.1-0.12.1.pom
>
> ==== sonatype-snapshots: tried
>
>  https://oss.sonatype.org/content/repositories/snapshots/org/scala-sbt/sbt_2.9.1/0.12.1/sbt_2.9.1-0.12.1.pom
>
> ::::::::::::::::::::::::::::::::::::::::::::::
>
> ::          UNRESOLVED DEPENDENCIES         ::
>
> ::::::::::::::::::::::::::::::::::::::::::::::
>
> :: org.scala-sbt#sbt_2.9.1;0.12.1: not found
>
> ::::::::::::::::::::::::::::::::::::::::::::::
>
>
>
> :: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS
> unresolved dependency: org.scala-sbt#sbt_2.9.1;0.12.1: not found
> Error during sbt execution: Error retrieving required libraries
>   (see C:\Users\korniiko-i\.sbt\boot\update.log for complete log)
> Error: Could not retrieve sbt 0.12.1
>
> --
> You received this message because you are subscribed to the Google Groups "simple-build-tool" group.
> To view this discussion on the web visit https://groups.google.com/d/msg/simple-build-tool/-/8VcFOCQ2sAQJ.
> To post to this group, send email to simple-b...@googlegroups.com.
> To unsubscribe from this group, send email to simple-build-t...@googlegroups.com.
> For more options, visit this group at http://groups.google.com/group/simple-build-tool?hl=en.
>

Re: [sbt] sbt version 0.12 - Unresolved dependency? Ilya Korniyko 10/30/12 4:29 AM
Yes, 0.12 launcher succeded.